package com.glxp.api.admin.dao.inout;

import com.glxp.api.admin.entity.inout.IOOrderStatusEntity;
import com.glxp.api.admin.req.inout.OrderStatusFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface IOOrderStatusDao {

    List<IOOrderStatusEntity> filterOrderStatus(OrderStatusFilterRequest warehouseQueryRequest);

    boolean insertOrderStatus(IOOrderStatusEntity ioOrderStatusEntity);

    boolean deleteByOrderId(@Param("orderId") String orderId);

    boolean updateOrderStatus(IOOrderStatusEntity warehouseEntity);

}
