package com.glxp.api.admin.service.basic.impl;

import com.glxp.api.admin.dao.basic.BussinessChangeTypeDao;
import com.glxp.api.admin.entity.basic.BussinessChangeTypeEntity;
import com.glxp.api.admin.service.basic.BussinessChangeTypeService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class BussinessChangeTypeServiceaImpl implements BussinessChangeTypeService {

    @Resource
    BussinessChangeTypeDao bussinessChangeTypeDao;

    @Override
    public List<BussinessChangeTypeEntity> findByAction(String action) {
        List<BussinessChangeTypeEntity> data = bussinessChangeTypeDao.findByAction(action);
        return data;
    }


    @Override
    public BussinessChangeTypeEntity findFirstByAction(String action) {
        List<BussinessChangeTypeEntity> data = bussinessChangeTypeDao.findByAction(action);
        if (data != null && data.size() > 0)
            return data.get(0);
        else return null;
    }

    @Override
    public BussinessChangeTypeEntity findByName(String name) {
        return null;
    }

    @Override
    public boolean updateBusChangeType(BussinessChangeTypeEntity bussinessTypeEntity) {
        return bussinessChangeTypeDao.updateBusChangeType(bussinessTypeEntity);
    }

    @Override
    public boolean insertBusChangeTypee(BussinessChangeTypeEntity bussinessTypeEntity) {
        return bussinessChangeTypeDao.insertBusChangeTypee(bussinessTypeEntity);
    }

    @Override
    public boolean deleteById(String id) {
        return bussinessChangeTypeDao.deleteById(id);
    }
}
