package com.glxp.api.admin.dao.business;

import com.glxp.api.admin.entity.business.StockOrderDetailEntity;
import com.glxp.api.admin.req.business.StockOrderDetailFilterRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StockOrderDetailTempDao {

    List<StockOrderDetailEntity> filterStockOrderDetailTemp(StockOrderDetailFilterRequest stockOrderDetailFilterRequest);

    boolean insertStockOrderDetailTemp(StockOrderDetailEntity stockOrderDetailEntity);

    boolean insertStockOrderDetailTemps(@Param("stockOrderDetailEntities") List<StockOrderDetailEntity> stockOrderDetailEntities);

    boolean updateById(StockOrderDetailEntity stockOrderDetailEntity);

    boolean deleteById(@Param("id") String id);

    boolean deleteByOrderIdFk(@Param("id") String id);

    StockOrderDetailEntity findOne(@Param("id") String id);
}
