package com.glxp.api.admin.req.business;

import com.glxp.api.admin.req.ListPageRequest;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class StockOrderFilterRequest extends ListPageRequest {

    private String id;
    private String billNo;
    private String billdate;
    private String corpId;
    private String corpName;
    private String billType;
    private String billAction;
    private String billFlag;
    private String thirdSysFk;
    private String status;
    private String statusInfo;
    private String type;
    private String sourceType;
    private String printStatus;
    private String unitIdFk;
    private String customerId;
    private String startTime;  //起始日期
    private String endTime;       //结束日期
    private String orderIdFk;
    private BigDecimal totalPrice;
    private String thirdOrderFk;
}
