package com.glxp.api.admin.service.basic;


import com.glxp.api.admin.entity.basic.BasicThirdSysDetailEntity;
import com.glxp.api.admin.entity.basic.BussinessOriginTypeEntity;
import com.glxp.api.admin.req.basic.BussinessOriginTypeFilterRequest;
import com.glxp.api.admin.res.basic.BussinessOriginTypeResponse;

import java.util.List;

public interface BussinessOriginTypeService {

    BussinessOriginTypeEntity findByAction(String action);

    BasicThirdSysDetailEntity findSysByAction(String action, String key);

    List<BussinessOriginTypeEntity> filterEnableList(BussinessOriginTypeFilterRequest bussinessOriginTypeFilterRequest);

    BussinessOriginTypeResponse finAllByAction(String action);


    List<BussinessOriginTypeEntity> filterList(BussinessOriginTypeFilterRequest bussinessOriginTypeFilterRequest);

    boolean updateBusOriginType(BussinessOriginTypeEntity bussinessTypeEntity);

    boolean insertBusOriginType(BussinessOriginTypeEntity bussinessTypeEntity);
}
